Workstations & Scheduling¶
Endpoints related to workstations & scheduling.
- GET /workstation-capacity-data/¶
List all workstation capacity data records.
List all workstation capacity data records.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested workstation capacity data record cannot be found.
403 Forbidden – You are not authorised to complete the request. The workstation capacity tracking feature is not enabled for this bureau.
400 Bad Request – The provided payload is invalid. Both start_date and end_date must be provided together for date range filtering. Cannot provide both a date filter and start_date and end_date range filters in the same request.
- POST /workstation-capacity-data/¶
Create a new workstation capacity data record.
Create a new workstation capacity data record. Note: This is primarily for admin/system use. Records are normally auto-generated by Celery task.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested workstation capacity data record cannot be found.
403 Forbidden – You are not authorised to complete the request. The workstation capacity tracking feature is not enabled for this bureau.
400 Bad Request – The provided payload is invalid. Both start_date and end_date must be provided together for date range filtering. Cannot provide both a date filter and start_date and end_date range filters in the same request.
- Response Headers:
Location – URI of the created resource
- GET /workstation-capacity-data/{uuid}/¶
Get a workstation capacity data record by UUID.
Get a workstation capacity data record by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested workstation capacity data record cannot be found.
403 Forbidden – You are not authorised to complete the request. The workstation capacity tracking feature is not enabled for this bureau.
400 Bad Request – The provided payload is invalid. Both start_date and end_date must be provided together for date range filtering. Cannot provide both a date filter and start_date and end_date range filters in the same request.
- PUT /workstation-capacity-data/{uuid}/¶
Update an existing workstation capacity data record.
Update an existing workstation capacity data record.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested workstation capacity data record cannot be found.
403 Forbidden – You are not authorised to complete the request. The workstation capacity tracking feature is not enabled for this bureau.
400 Bad Request – The provided payload is invalid. Both start_date and end_date must be provided together for date range filtering. Cannot provide both a date filter and start_date and end_date range filters in the same request.
- DELETE /workstation-capacity-data/{uuid}/¶
Soft-delete a workstation capacity data record.
Soft-delete a workstation capacity data record.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested workstation capacity data record cannot be found.
403 Forbidden – You are not authorised to complete the request. The workstation capacity tracking feature is not enabled for this bureau.
400 Bad Request – The provided payload is invalid. Both start_date and end_date must be provided together for date range filtering. Cannot provide both a date filter and start_date and end_date range filters in the same request.
- GET /work-schedule/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested work schedule cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested post_processor_type is already attached to a work-schedule.
405 Method Not Allowed – MethodNotAllowed
- POST /work-schedule/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested work schedule cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested post_processor_type is already attached to a work-schedule.
405 Method Not Allowed – MethodNotAllowed
- Response Headers:
Location – URI of the created resource
- GET /work-schedule/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested work schedule cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested post_processor_type is already attached to a work-schedule.
405 Method Not Allowed – MethodNotAllowed
- PUT /work-schedule/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested work schedule cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested post_processor_type is already attached to a work-schedule.
405 Method Not Allowed – MethodNotAllowed
- DELETE /work-schedule/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested work schedule cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested post_processor_type is already attached to a work-schedule.
405 Method Not Allowed – MethodNotAllowed
- GET /workstation/¶
List all of the workstations in the system for your account.
List all of the workstations in the system for your account.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
- POST /workstation/¶
Create a new workstation … does not work yet .
Create a new workstation … does not work yet .
- Status Codes:
201 Created – Resource created successfully
- Response Headers:
Location – URI of the created resource
- GET /workstation/{uuid}/¶
Get a workstation by UUID.
Get a workstation by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
- PUT /workstation/{uuid}/¶
Update a workstation by UUID.
Update a workstation by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
- GET /workstation-capacity-estimate/¶
List all workstation capacity estimate records.
List all workstation capacity estimate records.
Supports filtering by: - Single date: filter[date]=YYYY-MM-DD - Date range: filter[start_date]=YYYY-MM-DD&filter[end_date]=YYYY-MM-DD
(matches both single-day records within range and date-range records that overlap)
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested workstation capacity estimate record cannot be found.
403 Forbidden – You are not authorised to complete the request. The workstation capacity tracking feature is not enabled for this bureau.
400 Bad Request – The provided payload is invalid. Both start_date and end_date must be provided together for date range filtering. Cannot provide both a date filter and start_date and end_date range filters in the same request.
- GET /workstation-capacity-estimate/{uuid}/¶
Get a workstation capacity estimate record by UUID.
Get a workstation capacity estimate record by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested workstation capacity estimate record cannot be found.
403 Forbidden – You are not authorised to complete the request. The workstation capacity tracking feature is not enabled for this bureau.
400 Bad Request – The provided payload is invalid. Both start_date and end_date must be provided together for date range filtering. Cannot provide both a date filter and start_date and end_date range filters in the same request.
- GET /labor/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested workstation cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested post_processor_type is already attached to a labor resource.
405 Method Not Allowed – MethodNotAllowed
- POST /labor/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested workstation cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested post_processor_type is already attached to a labor resource.
405 Method Not Allowed – MethodNotAllowed
- Response Headers:
Location – URI of the created resource
- GET /labor/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested workstation cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested post_processor_type is already attached to a labor resource.
405 Method Not Allowed – MethodNotAllowed
- PUT /labor/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested workstation cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested post_processor_type is already attached to a labor resource.
405 Method Not Allowed – MethodNotAllowed
- DELETE /labor/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested workstation cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested post_processor_type is already attached to a labor resource.
405 Method Not Allowed – MethodNotAllowed
- GET /time-entry/¶
List all time entries.
List all time entries.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested time entry cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- POST /time-entry/¶
Create a new time entry.
Create a new time entry.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested time entry cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- Response Headers:
Location – URI of the created resource
- GET /time-entry/{uuid}/¶
Get an time entry by UUID.
Get an time entry by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested time entry cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- PUT /time-entry/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested time entry cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- DELETE /time-entry/{uuid}/¶
Delete an time entry by UUID.
Delete an time entry by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested time entry cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError